Products

Get a list of product preferences

Use this method to obtain a list of preferences added to a specific product. The preferences can include additional information about the product. Clients can view the preferences before opening product-associated accounts in the Trader's Room.

GET
/api/v2/my/products/{productId}/preferences

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

productId*integer

The product identifier.

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Value in

  • "id"
  • "createTime"
filter?

Filters the items by a specified value

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/products/1/preferences?limit=10&offset=0&sort_order=desc" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "id": 0,      "title": "string",      "value": "string",      "resources": [        {          "key": "caption",          "locale": "en_En",          "value": "value"        }      ]    }  ]}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}